# Uses of Interface
org.apache.lucene.replicator.nrt.CopyJob.OnceDone

- ## Uses of CopyJob.OnceDone in org.apache.lucene.replicator.nrt

  Fields in org.apache.lucene.replicator.nrt declared as CopyJob.OnceDone
  Modifier and Type
  Field
  Description
  `final CopyJob.OnceDone`
  CopyJob.`onceDone`
  Methods in org.apache.lucene.replicator.nrt with parameters of type CopyJob.OnceDone
  Modifier and Type
  Method
  Description
  `protected abstract CopyJob`
  ReplicaNode.`newCopyJob(String reason, Map<String,FileMetaData> files, Map<String,FileMetaData> prevFiles, boolean highPriority, CopyJob.OnceDone onceDone)`
  Start a background copying job, to copy the specified files from the current primary node.
  Constructors in org.apache.lucene.replicator.nrt with parameters of type CopyJob.OnceDone
  Modifier
  Constructor
  Description
  `protected`
  `CopyJob(String reason, Map<String,FileMetaData> files, ReplicaNode dest, boolean highPriority, CopyJob.OnceDone onceDone)`